<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */

get_header(); ?>

	<div id="container" class="full-width">
		<div id="content" role="main">

			<div id="post-0" class="post error404 not-found">
				<h1 class="entry-title"><?php _e( 'OMG! What just happened?', 'twentyten' ); ?></h1>
				<div class="entry-content">
					<p><?php _e( 'Apologies, but the page you requested could not be found. Who knows what happened to it. It could have been published early while still unfinished and you caught the author being naughty. Maybe YOU made a mistake and typed the url wrong. I have no idea what went wrong, but do not worry, this page was built in case of such emergency. Take a pick at one of the links below or try the search bar.', 'twentyten' ); ?></p>
					<div id="search-404">
						<?php get_search_form(); ?>
					</div><!-- #404-search -->
					<div id="links-container-404">
						<div id="month-404">
							<h2>Posts by Month...</h2>
							      <ul><?php wp_get_archives('type=monthly'); ?></ul>	
						</div><!-- #404-month -->

						<div id="category-404">
							<h2>...by Category</h2>
								  <ul><?php wp_list_cats(0, '', 'name', 'asc', '', 1, 0, 1, 1, 1, 1, 0,'','','','','') ?>
									</ul>
							      
						</div><!-- #404-category -->
						
						<div id="tags-404">
							<h2>...by Keywords</h2>
							      <?php wp_tag_cloud( 'format=list&orderby=count&order=DESC' ); ?>
								
						</div><!-- #tags-404 -->
						
						<div id="recentposts-404">
							<h2>Recent Posts</h2>
									<ul><?php wp_get_archives('type=postbypost&limit=20'); ?></ul>
							      	
						</div><!-- #recentposts-404 -->
						
						
					</div><!-- #links-container-404 -->
					
					
				</div><!-- .entry-content -->
			</div><!-- #post-0 -->

		</div><!-- #content -->
	</div><!-- #container -->
	<script type="text/javascript">
		// focus on search field after it has loaded
		document.getElementById('s') && document.getElementById('s').focus();
	</script>

<?php get_footer(); ?>